diff --git a/binutils-config b/binutils-config
index 7454527..570a6b0 100755
--- a/binutils-config
+++ b/binutils-config
@@ -121,7 +121,16 @@ switch_profile() {
 	cd "${ROOT}/${BINPATH}" || exit 1
 	mkdir -p "${ROOT}/${BINPATH_LINKS}" "${EROOT}/usr/bin"
 	for x in * ; do
-		atomic_ln "${BINPATH}/${x}" "${ROOT}/${BINPATH_LINKS}" "${x}"
+		case ${x} in
+			ld*)
+				# put ldwrapper in place
+				atomic_ln "${EROOT}/usr/lib/misc/binutils-config/ldwrapper" "${ROOT}/${BINPATH_LINKS}" "${x}"
+			;;
+			*)
+				atomic_ln "${BINPATH}/${x}" "${ROOT}/${BINPATH_LINKS}" "${x}"
+			;;
+		esac
+		
 		atomic_ln "${BINPATH_LINKS}/${x}" "${EROOT}/usr/bin" "${TARGET}-${x}"
 		if [[ ${TARGET} == ${HOST} ]] ; then
 			atomic_ln "${TARGET}-${x}" "${EROOT}/usr/bin" "${x}"
